image: debian/stable
sources:
- https://git.sr.ht/~singpolyma/sgx-jmp
packages:
- ruby
- ruby-dev
- bundler
- libxml2-dev
- libpq-dev
- rubocop
environment:
  LANG: C.UTF-8
tasks:
- dependencies: |
    cd sgx-jmp
    bundle install --without=development --path=.gems
- lint: |
    cd sgx-jmp
    rubocop
- test: |
    cd sgx-jmp
    RANTLY_COUNT=100 bundle exec rake test
- check_config_sample: |
    curl -LO https://github.com/dhall-lang/dhall-haskell/releases/download/1.39.0/dhall-1.39.0-x86_64-linux.tar.bz2
    tar -xf dhall-*.tar.bz2
    echo "./sgx-jmp/config.dhall.sample : ./sgx-jmp/config-schema.dhall" | bin/dhall --plain
